Package com.sun.mail.handlers

# Class text_plain

java.lang.Object
com.sun.mail.handlers.handler_base
com.sun.mail.handlers.text_plain

All Implemented Interfaces:
  `DataContentHandler`

Direct Known Subclasses:
  `text_html`, `text_xml`

public class text_plain extends handler_base
DataContentHandler for text/plain.

## Constructor Summary

Constructors
Constructor
Description
`text_plain()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getContent(DataSource ds)`
`protected ActivationDataFlavor[]`
`getDataFlavors()`
Return an array of ActivationDataFlavors that we support.
`void`
`writeTo(Object obj, String type, OutputStream os)`
Write the object to the output stream, using the specified MIME type.

### Methods inherited from class com.sun.mail.handlers.handler_base

`getData, getTransferData, getTransferDataFlavors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### text_plain

public text_plain()

## Method Details

### getDataFlavors

protected ActivationDataFlavor[] getDataFlavors()
Description copied from class: `handler_base`
Return an array of ActivationDataFlavors that we support. Usually there will be only one.

Specified by:
  `getDataFlavors` in class `handler_base`
Returns:
  array of ActivationDataFlavors that we support

### getContent

public Object getContent(DataSource ds) throws IOException

Throws:
  `IOException`

### writeTo

public void writeTo(Object obj, String type, OutputStream os) throws IOException
Write the object to the output stream, using the specified MIME type.

Throws:
  `IOException`